Subject: Re: #1003 Message-ID issues - status

From: Bruce Lilly <[email-masked]>
Date: Wed, 3 Aug 2005 21:12:12 -0400

On Thu July 28 2005 02:47, Frank Ellermann wrote:

> I believe in _small_ interfaces of independent modules (read
> "objects" if you prefer that), because that simplifies later
> replacements.  Here the minimal interface is the <msg-id>.
> 
> Anything else like <id-left> etc. are "implementation details",
> they _should_ be invisible to users of the <msg-id> "module".
> 
> Unfortunately they are visible, and we modify them (back to
> what they really are in all other standards, especially news).

Message identifiers and the fields using them -- Message-ID, References,
In-Reply-To -- started with RFC 724.  The fields and the identifiers
they use were adopted by RFC 850.

> Therefore our "implementation details" should use different
> names, because they really are different from 2822 details.

If you want to change to an incompatible format, then use different
field names to avoid confusion. 

> Our semantics of the RHS is "domain", not "domain or whatever".

Same as RFC 2822. And 822. Also 733 and 724 if you accept pre-DNS "host"
as analogous to domain.
 
> We have no "semantically invisible backslash" like RfC 2822.
> 
> For some horror scenarios what that could do to news-URIs visit
> the uri@w3 list (the thread about tag: URIs and local parts of
> addresses).

The "tag" proposal was so uninteresting it wasn't worth commenting on.

---

From: Frank Ellermann <[email-masked]>
Date: Fri, 12 Aug 2005 06:36:55 +0200

> If you want to change to an incompatible format, then use
> different field names to avoid confusion.

How about <id-local> and <id-domain> ?

> Same as RFC 2822. And 822. Also 733 and 724 if you accept
> pre-DNS "host" as analogous to domain.

Charles claims that <id-right> is "domain or whatever".  For
<id-domain> I'd hope that this is obviously wrong, dangerous,
harmful, etc.  Without tons of additional SHOULD and MUSTard.

                            Bye, Frank